import React from 'react';
import { PropertiesInline, PropertiesTable, registerWidget } from '../Value';
import { RenderContext } from '../widgetUtils';
registerWidget('object', function (_a) {
    var value = _a.value;
    var renderContext = React.useContext(RenderContext);
    return renderContext === 'inline' ? (React.createElement(PropertiesInline, { properties: value.properties })) : (React.createElement(RenderContext.Provider, { value: "inline" },
        React.createElement(PropertiesTable, { properties: value.properties })));
});
